Dashboard Configuration

Get dashboard configuration

GET /api/{spaceId}/dashboardconfiguration

Also reachable at /api/dashboardconfiguration, /api/spaces/{spaceIdentifier}/dashboardconfiguration.

Gets the dashboard configuration of the authenticated user for the current space

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Dashboard Configuration

  • HideInactiveProjects boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncludedEnvironmentIds array of string
  • IncludedEnvironmentTags array of string
  • IncludedProjectGroupIds array of string
  • IncludedProjectIds array of string
  • IncludedProjectTags array of string
  • IncludedTenantIds array of string
  • IncludedTenantTags array of string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectLimit integer
  • SpaceId string

Example Response

JSON
{
  "HideInactiveProjects": true,
  "Id": "string",
  "IncludedEnvironmentIds": [
    "string"
  ],
  "IncludedEnvironmentTags": [
    "string"
  ],
  "IncludedProjectGroupIds": [
    "string"
  ],
  "IncludedProjectIds": [
    "string"
  ],
  "IncludedProjectTags": [
    "string"
  ],
  "IncludedTenantIds": [
    "string"
  ],
  "IncludedTenantTags": [
    "string"
  ],
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectLimit": 0,
  "SpaceId": "string"
}

Modify dashboard configuration

PUT /api/{spaceId}/dashboardconfiguration

Also reachable at /api/dashboardconfiguration, /api/spaces/{spaceIdentifier}/dashboardconfiguration.

Modifies the dashboard configuration for the current user per space

Path Parameters

  • spaceId string (required)
    The id of the space for the DashboardConfiguration.

Request Body

  • HideInactiveProjects boolean
    Whether to hide inactive projects on the dashboard.
  • IncludedEnvironmentIds array of string
    The ids of environments to be displayed on the dashboard.
  • IncludedEnvironmentTags array of string
    The canonical tag names of environments to display on the dashboard.
  • IncludedProjectGroupIds array of string
    The ids of project groups to be displayed on the dashboard.
  • IncludedProjectIds array of string
    The ids of projects to be displayed on the dashboard.
  • IncludedProjectTags array of string
    The canonical tag names of projects to display on the dashboard.
  • IncludedTenantIds array of string
    The ids of tenants to be displayed on the dashboard.
  • IncludedTenantTags array of string
    The canonical tag names to display on the dashboard.
  • ProjectLimit integer
    The maximum number of projects to display on the dashboard.
  • SpaceId string (required)
    The id of the space for the DashboardConfiguration.

Response

200 — Confirmation that the Dashboard Configuration was modified, containing the new configuration

  • HideInactiveProjects boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncludedEnvironmentIds array of string
  • IncludedEnvironmentTags array of string
  • IncludedProjectGroupIds array of string
  • IncludedProjectIds array of string
  • IncludedProjectTags array of string
  • IncludedTenantIds array of string
  • IncludedTenantTags array of string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectLimit integer
  • SpaceId string

Example Request

JSON
{
  "HideInactiveProjects": true,
  "IncludedEnvironmentIds": [
    "string"
  ],
  "IncludedEnvironmentTags": [
    "string"
  ],
  "IncludedProjectGroupIds": [
    "string"
  ],
  "IncludedProjectIds": [
    "string"
  ],
  "IncludedProjectTags": [
    "string"
  ],
  "IncludedTenantIds": [
    "string"
  ],
  "IncludedTenantTags": [
    "string"
  ],
  "ProjectLimit": 0,
  "SpaceId": "string"
}

Example Response

JSON
{
  "HideInactiveProjects": true,
  "Id": "string",
  "IncludedEnvironmentIds": [
    "string"
  ],
  "IncludedEnvironmentTags": [
    "string"
  ],
  "IncludedProjectGroupIds": [
    "string"
  ],
  "IncludedProjectIds": [
    "string"
  ],
  "IncludedProjectTags": [
    "string"
  ],
  "IncludedTenantIds": [
    "string"
  ],
  "IncludedTenantTags": [
    "string"
  ],
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectLimit": 0,
  "SpaceId": "string"
}